<?php // no direct access
defined('_JEXEC') or die('Restricted access');

?>
<div class="nspro componentheading"><?php print JText::_('Subscribe to our Newsletter'); ?></div><br/>
<?php

  $pluginEnabled  = & JPluginHelper::isEnabled('content', 'newsletter_subscriber_pro');

  if (!$pluginEnabled) {
    print JText::_('Please enable plugin');
  }
  else {

    $dispatcher   =& JDispatcher::getInstance();

    JPluginHelper::importPlugin('content', 'newsletter_subscriber_pro');

    $row    = new stdClass();

    $row->text = '{newsletter_subscriber_pro}';

    $params = new stdClass();

    $results = $dispatcher->trigger('onPrepareContent', array(&$row, $params), 0);   
    
    print $row->text;

  }

?>

